Get the authenticated account identity
GET
/api/v1/me
const url = 'https://app.shroud.email/api/v1/me';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.shroud.email/api/v1/me \ --header 'Authorization: Bearer <token>'OAuth clients need the profile:read scope. Returns only the email address.
Authorizations
Section titled “ Authorizations ”Responses
Section titled “ Responses ”Account identity
Media type application/json
Profile
object
email
required
string format: email
Example
{ "email": "user@example.com"}Invalid token
Media type application/json
Error
object
error
required
string
Example
{ "error": "Invalid token"}Insufficient scope or unconfirmed account
Media type application/json
Error
object
error
required
string
Example
{ "error": "Invalid token"}